$!
$!                   Validation tests for MOPAC 5.00
$!                   -------------------------------
$!
$!
$!  These tests should be carried out in the following order:
$!
$!    1   TESTMOPAC1
$!    2   TESTMOPAC2
$!
$!  Within TESTMOPAC1 the test TESTELEMENTS2 should NOT be run until
$!  TESTELEMENTS1 has been run.  If TESTELEMENTS1 fails completely,
$!  MOPAC or BLOCK.FOR is severely corrupt.  If all tests in
$!  TESTELEMENTS1 pass, then all the tests in TESTELEMENTS2 will also
$!  pass.  If any one test in TESTELEMENTS1 fails, use the tests
$!  in TESTELEMENTS2 to localize the fault.
$!
$!  To check the results of TESTMOPAC1 fast, search the output files
$!  for "HEAT", this should occur three times per file.  The results
$!  should agree to within one unit in the 3rd decimal place.
$!
$!  For the "*K*" tests, e.g. MNRSK1, the entire file should be
$!  checked.
$!
$!  To test TESTMOPAC2, carry out the check given in the comments line
$!  of each data-set.  If no comment, then "eyeball" the results.  If
$!  nothing looks outrageous, the run was successfull.
$!
$!  The tests have been made as non-specific as possible so that MOPAC
$!  should pass on any computer.  On the other hand, the main paths through
$!  MOPAC are examined.  The precision specified is good enough for
$!  all normal research work.
$!
$!
$!**********************************************************************
$!
$!   Test 1 of MOPAC tests.  This test is relatively fast, and checks
$!   the gross running of MOPAC.  
$!
$!**********************************************************************
$!
$!   TEST A B means "run a MOPAC job with the data A set found in directory B"
$!
$ test:== @[stewart.testdata]test
$!
$! First go into the directory which will contain the test-results
$!
$sd [STEWART.TESTDATA.test1]
$DEL/NOCON [STEWART.TESTDATA.TEST1]*.*;*
$!
$!               Single SCF calculations to verify parameter sets 
$!               for the various procedures.
$!
$@TESTD:TESTELEMENTS1
$!
$!               If any of the above tests fail, use the following COM
$!               file to identify the faulty elements.  At this point
$!               the error may be in the MOPAC algorithm.
$!
$@TESTD:TESTELEMENTS2
$!
$!               The next set of single SCF calculations exercises
$!               various paths within MOPAC.  
$!
$@TESTD:1SCF
$!
$!               This set of tests checks all keywords not already checked
$!               by the 1SCF test.
$!
$@TESTD:KEYS
$!
$!               As MECI is quite large, it has its own set of tests.
$@TESTD:MECI
$!
$!
